Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class Visitors.AbstractVisitor

    java.lang.Object
      org.modeshape.graph.query.model.Visitors.AbstractVisitor

All Implemented Interfaces:
  Visitor

Direct Known Subclasses:
  PlanUtil.RequiredColumnVisitor, Validator

Enclosing class:
  Visitors

    public static class Visitors.AbstractVisitor

extends Object
implements Visitor

A common base class for all visitors, which provides no-op implementations for all `visit(...)` methods. Visitor implementations can subclass and implement only those methods that they need to implement.

This is often an excellent base class for strategy visitors, which simply are `Visitor` implementations that are responsible only for visiting the supplied object but that never call `Visitable.accept(Visitor)`. Such strategy visitors can be used in conjunction with separate `navigation visitors` that do the job of navigating the Visitable objects and, for each, delegating to the strategy visitor. See `Visitors.visitAll(Visitable, Visitor)` for an example.

Constructor Summary
`Visitors.AbstractVisitor()`

Method Summary
`void` | `visit(AllNodes obj)`
`void` | `visit(And obj)`
`void` | `visit(ArithmeticOperand obj)`
`void` | `visit(Between obj)`
`void` | `visit(BindVariableName obj)`
`void` | `visit(ChildNode obj)`
`void` | `visit(ChildNodeJoinCondition obj)`
`void` | `visit(Column obj)`
`void` | `visit(Comparison obj)`
`void` | `visit(DescendantNode obj)`
`void` | `visit(DescendantNodeJoinCondition obj)`
`void` | `visit(EquiJoinCondition obj)`
`void` | `visit(FullTextSearch obj)`
`void` | `visit(FullTextSearchScore obj)`
`void` | `visit(Join obj)`
`void` | `visit(Length obj)`
`void` | `visit(Limit limit)`
`void` | `visit(Literal obj)`
`void` | `visit(LowerCase obj)`
`void` | `visit(NamedSelector obj)`
`void` | `visit(NodeDepth obj)`
`void` | `visit(NodeLocalName obj)`
`void` | `visit(NodeName obj)`
`void` | `visit(NodePath obj)`
`void` | `visit(Not obj)`
`void` | `visit(Or obj)`
`void` | `visit(Ordering obj)`
`void` | `visit(PropertyExistence obj)`
`void` | `visit(PropertyValue obj)`
`void` | `visit(Query obj)`
`void` | `visit(ReferenceValue obj)`
`void` | `visit(SameNode obj)`
`void` | `visit(SameNodeJoinCondition obj)`
`void` | `visit(SetCriteria obj)`
`void` | `visit(SetQuery obj)`
`void` | `visit(Subquery obj)`
`void` | `visit(UpperCase obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Visitors.AbstractVisitor

    public Visitors.AbstractVisitor()

Method Detail

### visit

    public void visit(AllNodes obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.AllNodes)`

### visit

    public void visit(And obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.And)`

### visit

    public void visit(ArithmeticOperand obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.ArithmeticOperand)`

### visit

    public void visit(Between obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Between)`

### visit

    public void visit(BindVariableName obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.BindVariableName)`

### visit

    public void visit(ChildNode obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.ChildNode)`

### visit

    public void visit(ChildNodeJoinCondition obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.ChildNodeJoinCondition)`

### visit

    public void visit(Column obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Column)`

### visit

    public void visit(Comparison obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Comparison)`

### visit

    public void visit(DescendantNode obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.DescendantNode)`

### visit

    public void visit(DescendantNodeJoinCondition obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.DescendantNodeJoinCondition)`

### visit

    public void visit(EquiJoinCondition obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.EquiJoinCondition)`

### visit

    public void visit(FullTextSearch obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.FullTextSearch)`

### visit

    public void visit(FullTextSearchScore obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.FullTextSearchScore)`

### visit

    public void visit(Join obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Join)`

### visit

    public void visit(Length obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Length)`

### visit

    public void visit(Limit limit)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Limit)`

### visit

    public void visit(Literal obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Literal)`

### visit

    public void visit(LowerCase obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.LowerCase)`

### visit

    public void visit(NodeDepth obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.NodeDepth)`

### visit

    public void visit(NodePath obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.NodePath)`

### visit

    public void visit(NodeName obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.NodeName)`

### visit

    public void visit(NodeLocalName obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.NodeLocalName)`

### visit

    public void visit(NamedSelector obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.NamedSelector)`

### visit

    public void visit(Not obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Not)`

### visit

    public void visit(Or obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Or)`

### visit

    public void visit(Ordering obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Ordering)`

### visit

    public void visit(PropertyExistence obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.PropertyExistence)`

### visit

    public void visit(PropertyValue obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.PropertyValue)`

### visit

    public void visit(Query obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Query)`

### visit

    public void visit(Subquery obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.Subquery)`

### visit

    public void visit(ReferenceValue obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.ReferenceValue)`

### visit

    public void visit(SameNode obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.SameNode)`

### visit

    public void visit(SameNodeJoinCondition obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.SameNodeJoinCondition)`

### visit

    public void visit(SetCriteria obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.SetCriteria)`

### visit

    public void visit(SetQuery obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.SetQuery)`

### visit

    public void visit(UpperCase obj)

  Specified by:
    `visit` in interface `Visitor`
  See Also:
    `Visitor.visit(org.modeshape.graph.query.model.UpperCase)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.